# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.docs
Class DocumentExportEntry

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.BaseEntry<DocumentExportEntry>
                  com.google.gdata.data.docs.DocumentExportEntry

All Implemented Interfaces:
  Extension, IAtom, IEntry, Kind.Adaptable, Kind.Adaptor

    public class DocumentExportEntry

extends BaseEntry<DocumentExportEntry>

Describes an entry representing a request to bulk export documents from a user.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.BaseEntry
`BaseEntry.AtomHandler, BaseEntry.EntryState`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.BaseEntry
`state`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`DocumentExportEntry()` Default mutable constructor.
`DocumentExportEntry(BaseEntry<?> sourceEntry)` Constructs a new instance by doing a shallow copy of data from an existing `BaseEntry` instance.

Method Summary
`void` `addExportDocId(ExportDocId exportDocId)` Adds a new export doc id.
`void` `addQuery(QueryParameter query)` Adds a new query parameter.
`void` `declareExtensions(ExtensionProfile extProfile)` Declares the set of expected Extension types for an ExtensionPoint within the target extension profile.
`Link` `getDocumentExportLink()` Returns the link for the zip file contains all exported documents.
`java.util.List<ExportDocId>` `getExportDocIds()` Returns the export doc ids.
`DocumentExportRequestor` `getExportRequestor()` Returns the document export requestor.
`ObjectNumber` `getObjectNumber()` Returns the object number.
`java.util.List<QueryParameter>` `getQueries()` Returns the query parameters.
`ExportStatus` `getStatus()` Returns the export status.
`boolean` `hasExportDocIds()` Returns whether it has the export doc ids.
`boolean` `hasExportRequestor()` Returns whether it has the document export requestor.
`boolean` `hasObjectNumber()` Returns whether it has the object number.
`boolean` `hasQueries()` Returns whether it has the query parameters.
`boolean` `hasStatus()` Returns whether it has the export status.
`void` `setExportRequestor(DocumentExportRequestor exportRequestor)` Sets the document export requestor.
`void` `setObjectNumber(ObjectNumber objectNumber)` Sets the object number.
`void` `setStatus(ExportStatus status)` Sets the export status.
`java.lang.String` `toString()`
`protected void` `validate()` Checks the attributes to see if there are any problems.

Methods inherited from class com.google.gdata.data.BaseEntry

`addAdaptor, addHtmlLink, addLink, addLink, delete, generate, generateAtom, generateRss, getAdaptedEntry, getAdaptor, getAdaptors, getAuthors, getCanEdit, getCategories, getContent, getContentHandlerInfo, getContributors, getEdited, getEditLink, getEtag, getHandler, getHtmlLink, getId, getKind, getLink, getLinks, getLinks, getMediaEditLink, getPlainTextContent, getPubControl, getPublished, getResumableEditMediaLink, getRights, getSelectedFields, getSelf, getSelfLink, getService, getSource, getSummary, getTextContent, getTitle, getUpdated, getVersionId, isDraft, parseAtom, parseAtom, parseAtom, readEntry, readEntry, removeLinks, removeLinks, setCanEdit, setContent, setContent, setDraft, setEdited, setEtag, setId, setKind, setPubControl, setPublished, setRights, setSelectedFields, setService, setSource, setSummary, setTitle, setUpdated, setVersionId, update, visitChildren`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DocumentExportEntry

    public DocumentExportEntry()

  Default mutable constructor.

### DocumentExportEntry

    public DocumentExportEntry(BaseEntry<?> sourceEntry)

  Constructs a new instance by doing a shallow copy of data from an existing `BaseEntry` instance.

  Parameters:
    `sourceEntry` - source entry

Method Detail

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Description copied from class: `ExtensionPoint`
  Declares the set of expected Extension types for an ExtensionPoint within the target extension profile. The base implementation does not declare any extensions, but can be overridden by specific types of ExtensionPoints that always contain a well-defined set of extensions.

  Specified by:
    `declareExtensions` in interface `Kind.Adaptor`
  Overrides:
    `declareExtensions` in class `ExtensionPoint`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.
  See Also:
    `ExtensionProfile.addDeclarations(Kind.Adaptor)`

### getExportDocIds

    public java.util.List<ExportDocId> getExportDocIds()

  Returns the export doc ids.

  Returns:
    export doc ids

### addExportDocId

    public void addExportDocId(ExportDocId exportDocId)

  Adds a new export doc id.

  Parameters:
    `exportDocId` - export doc id

### hasExportDocIds

    public boolean hasExportDocIds()

  Returns whether it has the export doc ids.

  Returns:
    whether it has the export doc ids

### getExportRequestor

    public DocumentExportRequestor getExportRequestor()

  Returns the document export requestor.

  Returns:
    document export requestor

### setExportRequestor

    public void setExportRequestor(DocumentExportRequestor exportRequestor)

  Sets the document export requestor.

  Parameters:
    `exportRequestor` - document export requestor or `null` to reset

### hasExportRequestor

    public boolean hasExportRequestor()

  Returns whether it has the document export requestor.

  Returns:
    whether it has the document export requestor

### getObjectNumber

    public ObjectNumber getObjectNumber()

  Returns the object number.

  Returns:
    object number

### setObjectNumber

    public void setObjectNumber(ObjectNumber objectNumber)

  Sets the object number.

  Parameters:
    `objectNumber` - object number or `null` to reset

### hasObjectNumber

    public boolean hasObjectNumber()

  Returns whether it has the object number.

  Returns:
    whether it has the object number

### getQueries

    public java.util.List<QueryParameter> getQueries()

  Returns the query parameters.

  Returns:
    query parameters

### addQuery

    public void addQuery(QueryParameter query)

  Adds a new query parameter.

  Parameters:
    `query` - query parameter

### hasQueries

    public boolean hasQueries()

  Returns whether it has the query parameters.

  Returns:
    whether it has the query parameters

### getStatus

    public ExportStatus getStatus()

  Returns the export status.

  Returns:
    export status

### setStatus

    public void setStatus(ExportStatus status)

  Sets the export status.

  Parameters:
    `status` - export status or `null` to reset

### hasStatus

    public boolean hasStatus()

  Returns whether it has the export status.

  Returns:
    whether it has the export status

### getDocumentExportLink

    public Link getDocumentExportLink()

  Returns the link for the zip file contains all exported documents.

  Returns:
    Link for the zip file contains all exported documents or `null` for none.

### validate

    protected void validate()

  Description copied from class: `AbstractExtension`
  Checks the attributes to see if there are any problems. Default implementation does nothing, though generally this is discouraged unless there really are no restrictions.

  Overrides:
    `validate` in class `AbstractExtension`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`